Package com.logicaldoc.core.security.authorization

# Class PermissionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.security.authorization.AuthorizationException
com.logicaldoc.core.security.authorization.PermissionException

All Implemented Interfaces:
  `Serializable`

public class PermissionException extends AuthorizationException
Raised when a permission is not allowed

Since:
  8.8.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PermissionException()`
`PermissionException(String message)`
`PermissionException(String username, String securityObject, Permission permission)`
`PermissionException(String username, String securityObject, Permission permission, Throwable cause)`
`PermissionException(String message, Throwable cause)`
`PermissionException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Permission`
`getPermission()`
`String`
`getSecurityObject()`
`String`
`getUsername()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PermissionException

public PermissionException(String username, String securityObject, Permission permission)

### PermissionException

public PermissionException(String username, String securityObject, Permission permission, Throwable cause)

### PermissionException

public PermissionException()

### PermissionException

public PermissionException(String message)

### PermissionException

public PermissionException(Throwable cause)

### PermissionException

public PermissionException(String message, Throwable cause)

## Method Details

### getUsername

public String getUsername()

### getSecurityObject

public String getSecurityObject()

### getPermission

public Permission getPermission()